Skip to content

Update Webhook Config

WebhookConfigResponse WebhookConfigs.Update(WebhookConfigUpdateParamsparameters, CancellationTokencancellationToken = default)
PUT/api/v1/beta/webhook-configs/{config_id}

Update a webhook configuration. Only fields present in the request change.

ParametersExpand Collapse
WebhookConfigUpdateParams parameters
required string configID

Path param

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
IReadOnlyList<WebhookEvent>? webhookEvents

Body param: Updated event subscriptions. Omit to leave unchanged; [] is rejected.

"batch.cancelled"BatchCancelled
"batch.error"BatchError
"batch.pending"BatchPending
"batch.running"BatchRunning
"batch.success"BatchSuccess
"classify.cancelled"ClassifyCancelled
"classify.error"ClassifyError
"classify.partial_success"ClassifyPartialSuccess
"classify.pending"ClassifyPending
"classify.running"ClassifyRunning
"classify.success"ClassifySuccess
"extract.cancelled"ExtractCancelled
"extract.error"ExtractError
"extract.partial_success"ExtractPartialSuccess
"extract.pending"ExtractPending
"extract.success"ExtractSuccess
"parse.cancelled"ParseCancelled
"parse.error"ParseError
"parse.partial_success"ParsePartialSuccess
"parse.pending"ParsePending
"parse.running"ParseRunning
"parse.success"ParseSuccess
"sheets.cancelled"SheetsCancelled
"sheets.error"SheetsError
"sheets.partial_success"SheetsPartialSuccess
"sheets.pending"SheetsPending
"sheets.success"SheetsSuccess
"split.cancelled"SplitCancelled
"split.error"SplitError
"split.pending"SplitPending
"split.processing"SplitProcessing
"split.success"SplitSuccess
"unmapped_event"UnmappedEvent
IReadOnlyDictionary<string, string>? webhookHeaders

Body param: Updated headers.

WebhookOutputFormat? webhookOutputFormat

Body param: Updated output format.

"json"Json
"string"String
string? webhookSigningSecret

Body param: Updated signing secret (write-only). Send to rotate the secret.

string? webhookUrl

Body param: Updated webhook URL.

ReturnsExpand Collapse
class WebhookConfigResponse:

A stored webhook configuration. The signing secret is never included.

required string ID

Unique identifier for the webhook configuration.

required Boolean HasSecret

Whether a signing secret is configured for this endpoint.

required string TenantID

Owner tenant ID.

JsonElement TenantType "project"constant

Owner tenant type.

required string WebhookUrl

URL that receives webhook POST notifications.

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
DateTimeOffset? UpdatedAt

Update datetime

formatdate-time
IReadOnlyList<WebhookEvent>? WebhookEvents

Subscribed events (null = all events).

One of the following:
"batch.cancelled"BatchCancelled
"batch.error"BatchError
"batch.pending"BatchPending
"batch.running"BatchRunning
"batch.success"BatchSuccess
"classify.cancelled"ClassifyCancelled
"classify.error"ClassifyError
"classify.partial_success"ClassifyPartialSuccess
"classify.pending"ClassifyPending
"classify.running"ClassifyRunning
"classify.success"ClassifySuccess
"extract.cancelled"ExtractCancelled
"extract.error"ExtractError
"extract.partial_success"ExtractPartialSuccess
"extract.pending"ExtractPending
"extract.success"ExtractSuccess
"parse.cancelled"ParseCancelled
"parse.error"ParseError
"parse.partial_success"ParsePartialSuccess
"parse.pending"ParsePending
"parse.running"ParseRunning
"parse.success"ParseSuccess
"sheets.cancelled"SheetsCancelled
"sheets.error"SheetsError
"sheets.partial_success"SheetsPartialSuccess
"sheets.pending"SheetsPending
"sheets.success"SheetsSuccess
"split.cancelled"SplitCancelled
"split.error"SplitError
"split.pending"SplitPending
"split.processing"SplitProcessing
"split.success"SplitSuccess
"unmapped_event"UnmappedEvent
IReadOnlyDictionary<string, string>? WebhookHeaders

Custom HTTP headers sent with each request.

WebhookOutputFormat? WebhookOutputFormat

Response format sent to the webhook.

One of the following:
"json"Json
"string"String

Update Webhook Config

WebhookConfigUpdateParams parameters = new() { ConfigID = "config_id" };

var webhookConfigResponse = await client.WebhookConfigs.Update(parameters);

Console.WriteLine(webhookConfigResponse);
{
  "id": "id",
  "has_secret": true,
  "tenant_id": "tenant_id",
  "tenant_type": "project",
  "webhook_url": "webhook_url",
  "created_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "webhook_events": [
    "batch.cancelled"
  ],
  "webhook_headers": {
    "foo": "string"
  },
  "webhook_output_format": "json"
}
Returns Examples
{
  "id": "id",
  "has_secret": true,
  "tenant_id": "tenant_id",
  "tenant_type": "project",
  "webhook_url": "webhook_url",
  "created_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "webhook_events": [
    "batch.cancelled"
  ],
  "webhook_headers": {
    "foo": "string"
  },
  "webhook_output_format": "json"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/